Subject: Re: What's cooking in git.git (Jan 2020, #04; Wed, 22)

From: Denton Liu <[email-masked]>
Date: Wed, 22 Jan 2020 23:29:06 -0500

Hi Junio,

Sorry, I'm back in school so I haven't had the time to keep up with my
contributions very much. Feel free to give my topics lower priority for
the next couple of months if they interfere with any other topics.

On Wed, Jan 22, 2020 at 02:18:05PM -0800, Junio C Hamano wrote:
> * dl/merge-autostash (2020-01-13) 17 commits
>  - pull: pass --autostash to merge
>  - t5520: make test_pull_autostash() accept expect_parent_num
>  - merge: teach --autostash option
>  - sequencer: unlink autostash in apply_autostash()
>  - sequencer: extract perform_autostash() from rebase
>  - rebase: generify create_autostash()
>  - rebase: extract create_autostash()
>  - reset: extract reset_head() from rebase
>  - rebase: generify reset_head()
>  - rebase: use apply_autostash() from sequencer.c
>  - sequencer: make apply_rebase() accept a path
>  - rebase: use read_oneliner()
>  - sequencer: make read_oneliner() extern
>  - sequencer: configurably warn on non-existent files
>  - sequencer: use file strbuf for read_oneliner()
>  - t7600: use test_write_lines()
>  - Makefile: alphabetically sort += lists
> 
>  "git merge" learns the "--autostash" option.
> 
>  What's the status of this one?  Are people happy with the shape of
>  the code?

I'm not quite happy with this yet. Phillip Wood pointed out that if we
do `git reset --hard` mid-merge with a stash, the stash will pop _after_
the reset, which is very surprising since it leaves a dirty tree.

I think I will have time to reroll this on the weekend.

> * dl/test-must-fail-fixes-2 (2020-01-07) 16 commits
>  - t4124: only mark git command with test_must_fail
>  - t3507: use test_path_is_missing()
>  - t3507: fix indentation
>  - t3504: do check for conflict marker after failed cherry-pick
>  - t3419: stop losing return code of git command
>  - t3415: increase granularity of test_auto_{fixup,squash}()
>  - t3415: stop losing return codes of git commands
>  - t3310: extract common notes_merge_files_gone()
>  - t3030: use test_path_is_missing()
>  - t2018: replace "sha" with "oid"
>  - t2018: don't lose return code of git commands
>  - t2018: teach do_checkout() to accept `!` arg
>  - t2018: use test_expect_code for failing git commands
>  - t2018: improve style of if-statement
>  - t2018: add space between function name and ()
>  - t2018: remove trailing space from test description
> 
>  Test updates.
> 
>  Will merge to 'next'.

Eric Sunshine sent out a reworded version of "t2018: use
test_expect_code for failing git commands"'s commit message. I'll send
out that replacement patch later this weekend as well.

Thanks,

Denton